*{
  margin: 0 0;
  padding: 0 ;
  box-sizing: border-box;
}
  
html {
  overflow-x: hidden;
  width: 100%;
  height: 100%;
  position: relative;
}

body {
  overflow-x: hidden;
  overflow-y: auto;
  background-color: #FAF6F1;
  font-family: 'Lato', sans-serif;
  font-weight: 300;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  position: relative;
}
  
main{
  min-height: 60vh;
  height: auto;
  display: flex;
  justify-content: center;
}

.projects-list-container{
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.search-feature{
  display: flex;
  justify-content: flex-end;
  margin-bottom: .5em;
  padding: 1em 1.2em 0 0; 
}

input.search {
  border-radius: 5px;
  width: 20em;
  padding: 1em 4em;
  font-family: 'Lato', sans-serif;
  font-size: 1em;
  background: transparent url("/src/icons/search.svg") no-repeat 20px;
  color: white;
  background-color: #545454;
  border: none;
  box-shadow:inset 0 0 3px 1px #000000;
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none; 
}

input.search::placeholder{
  color: white;
  font-family: 'Lato', sans-serif;
  font-size: 1.5em;
  font-weight: 300;
}

.projects{
  width: 1410px;
  display: flex;
  flex-wrap: wrap;
  gap: 2em; 
  justify-content: flex-start;
  padding: 2em 1em; 
}

.project-card{
  position: relative;
  width: 20em;
  height: 25em;
  background: #fff;
  cursor: pointer;
  overflow: hidden;
  font-family: 'Lato', sans-serif;
  font-weight: 300;
  color: white;
  box-shadow: 2px 2px 10px gray;
}

.project-card::before {
  content: '';
  border: 2px solid white;
  position: absolute;
  top: 6px;
  left: 6px;
  right: 6px;
  bottom: 66px;
  pointer-events: none;
  z-index: 9;
}

.project-name{
  font-size: 1.5rem;
}

.project-card img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  }

  .project-details{
  position:absolute;
  bottom: 0;
  width: 100%;
  height: 13em;
  overflow: hidden;
  background-color: #545454;
  transform: translateY(150px);
  transition: .5s ease-in-out;
  z-index: 10;
  text-align: center;
}

.project-name{
  text-align: center;
  padding: .5em 0;
}

.project-description{
  padding: .5em 1em;
}

.project-card:hover .project-details{
  transform: translateY(0);
}

.no-projects{
  margin: auto;
  font-size: 2em;
}

  